Last Comment Bug 671756 - crash via mozilla::gl::GLContext::UploadSurfaceToTexture on mac playing a video
: crash via mozilla::gl::GLContext::UploadSurfaceToTexture on mac playing a video
Status: RESOLVED FIXED
[sg:critical?][qa-]
: regression
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: mozilla8
Assigned To: Nobody; OK to take it and work on it
:
: Milan Sreckovic [:milan]
Mentors:
Depends on: 670573
Blocks: 656185
  Show dependency treegraph
 
Reported: 2011-07-14 20:48 PDT by Andreas Gal :gal
Modified: 2011-09-22 16:09 PDT (History)
6 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-
unaffected
unaffected
+
fixed
+
fixed
unaffected


Attachments

Description Andreas Gal :gal 2011-07-14 20:48:42 PDT
Playing the video at https://browserid.org/users reliably crashes my MacOSX nightly build. Crash address looks random, so this might be exploitable.

https://crash-stats.mozilla.com/report/index/bp-a32bd99f-d985-46f4-ba3f-7ce132110714
Comment 1 Robert O'Callahan (:roc) (email my personal email if necessary) 2011-07-14 20:56:00 PDT
Probably a dup of bug 670573.
Comment 2 Daniel Veditz [:dveditz] 2011-07-28 13:37:24 PDT
If this is a dupe of bug 670573 then Firefox 5 and 6 should not be affected.

qawanted: test this video on Firefox 5, 6, and 7
Comment 3 Marcia Knous [:marcia - use ni] 2011-08-04 13:50:04 PDT
Tested this video using:

Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:5.0.1) Gecko/20100101 Firefox/5.0.1

Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:6.0) Gecko/20100101 Firefox/6.0

Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:7.0a2) Gecko/20110804 Firefox/7.0a2

and was not able to crash playing the video.
Comment 4 christian 2011-08-10 09:07:27 PDT
And this should be resolved everywhere because bug 670573 landed on mozilla-central and mozila-aurora and mozilla-beta was unaffected. If it still happens anywhere it isn't a strict dupe of bug 670573.

Clearing the tracking for Firefox 6.
Comment 5 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2011-09-22 16:09:01 PDT
qa- as QA was unable to reproduce this bug originally. Andreas, please verify this bug is fixed in Firefox 7 and 8.

Note You need to log in before you can comment on or make changes to this bug.